Chromium Code Reviews
Help | Chromium Project | Sign in
(243)

Side by Side Diff: ChangeLog

Issue 11316047: Prepare push to trunk. Now working on version 3.15.5. (Closed) Base URL: https://v8.googlecode.com/svn/branches/bleeding_edge
Patch Set: Created 1 year, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Please Sign in to add in-line comments.
Jump to:
View unified diff | Download patch | Annotate | Revision Log
« no previous file with comments | « no previous file | src/version.cc » ('j') | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
1 2012-11-16: Version 3.15.4
2
3 Reduced the number of strings created in d8.
Jakob 2012/11/16 14:38:35 drop this
4
5 Fixed Array.prototype.join evaluation order. (issue 2263)
6
7 Perform CPU sampling by CPU sampling thread only iff processing thread
8 is not running. (issue 2364)
9
10 Object.observe: Use [[DefineOwnProperty]] to create properties of
Jakob 2012/11/16 14:38:35 drop this
11 changeRecord. (issue 2411)
12
13 When using an Object as a set in Object.getOwnPropertyNames, null out
14 the proto. (issue 2410)
15
16 Disabled EXTRA_CHECKS in Release build.
17
18 Heap explorer: Show representation of strings.
19
20 Updated Test262 harness to recent version.
Jakob 2012/11/16 14:38:35 drop this
21
22 Introduced lattice-based representation inference, powered by left/right
Jakob 2012/11/16 14:38:35 drop this
23 specific type feedback for BinaryOps and comparisons
24 (jkummerow@chromium.org)
25
26 Removed 'type' and 'arguments' properties from Error object.
27 (issue 2397)
28
29 Added atomics implementation for ThreadSanitizer v2.
30 (https://sites.google.com/a/chromium.org/dev/developers/testing/threadsa nitizer-tsan-v2)
31 (Chromium issue 128314)
32 (danno@chromium.org)
33
34 Fixed LiveEdit crashes when object/array literal is added. (issue 2368)
35
36 Performance and stability improvements on all platforms.
37
38
1 2012-11-13: Version 3.15.3 39 2012-11-13: Version 3.15.3
2 40
3 Changed sample shell to send non-JS output (e.g. errors) to stderr 41 Changed sample shell to send non-JS output (e.g. errors) to stderr
4 instead of stdout. 42 instead of stdout.
5 43
6 Correctly check for stack overflow even when interrupt is pending. 44 Correctly check for stack overflow even when interrupt is pending.
7 (issue 214) 45 (issue 214)
8 46
9 Collect stack trace on stack overflow. (issue 2394) 47 Collect stack trace on stack overflow. (issue 2394)
10 48
(...skipping 4760 matching lines...) Expand 10 before | Expand all | Expand 10 after
4771 setting break points in them. 4809 setting break points in them.
4772 4810
4773 4811
4774 2008-07-03: Version 0.1.0 4812 2008-07-03: Version 0.1.0
4775 4813
4776 Initial export. 4814 Initial export.
4777 4815
4778 # Local Variables: 4816 # Local Variables:
4779 # mode:text 4817 # mode:text
4780 # End: 4818 # End:
OLDNEW
« no previous file with comments | « no previous file | src/version.cc » ('j') | no next file with comments »

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1280:2d3e6564b7b6